{
	"name": "<%- fullPackageName %>",
	"description": "<%- packageDescription %>",
	"author": "<%- packageAuthor %>",
	"version": "0.0.1",
	<%_ if (packageFunction === "CLI") { _%>"bin": "./dist/cli.js",<%_ } _%>
	"scripts": {
		"build": "npm run lint && npm test && npm run build:compile",
		"build:compile": "npm run build:tsdx",
		"build:tsdx": "tsdx build",
		"ci:build": "npm run build:compile",
		"ci:test": "npm run lint && npm test -- --coverage",
		<%_ if (packageFunction === "CLI") { _%>"cli": "ts-node src/cli.ts",<%_ } _%>
		"lint": "eslint \"src/**/*.{js,jsx,ts,tsx}\"",
		"lint:fix": "npm run lint -- --fix",
		"prepare": "echo \"Change this to npm run build:compile\"",
		"preversion": "npm run build",
		"postversion": "git push && git push --tags",
		"test": "tsdx test --passWithNoTests",
		"test:watch": "tsdx test --watch"
	},
	"main": "dist/index.js",
	"module": "dist/<%- packageName %>.esm.js",
	"typings": "dist/index.d.ts",
	"files": [
		"dist",
		"src"
	],
	"repository": {
		"type": "git",
		"url": "git@<%- gitDomain %>:<%- gitRepoPath %>/<%- gitRepoName %>.git"
	},
	"husky": {
		"hooks": {
			"pre-commit": "pretty-quick --staged"
		}
	},
	"dependencies": {},
	"devDependencies": {}
}
